/*
	signame.c

	Copyright (c) 2002,2003 Thomas J Pinkl <tom@pinkl.com>

	Return a pointer to the name of the supplied signal.

	Version 1.01	02/05/1996
*/

#include "telnetcpcd.h"

char *signame(int sig)
{
	register char *p = NULL;

	switch (sig) {
	case SIGHUP:	p = "SIGHUP"; break;
	case SIGINT:	p = "SIGINT"; break;
	case SIGQUIT:	p = "SIGQUIT"; break;
	case SIGILL:	p = "SIGILL"; break;
	case SIGTRAP:	p = "SIGTRAP"; break;
	case SIGABRT:	p = "SIGABRT"; break;
#ifdef SIGEMT
	case SIGEMT:	p = "SIGEMT"; break;
#endif
	case SIGFPE:	p = "SIGFPE"; break;
	case SIGKILL:	p = "SIGKILL"; break;
	case SIGBUS:	p = "SIGBUS"; break;
	case SIGSEGV:	p = "SIGSEGV"; break;
#ifdef SIGSYS
	case SIGSYS:	p = "SIGSYS"; break;
#endif
	case SIGPIPE:	p = "SIGPIPE"; break;
	case SIGALRM:	p = "SIGALRM"; break;
	case SIGTERM:	p = "SIGTERM"; break;
	case SIGUSR1:	p = "SIGUSR1"; break;
	case SIGUSR2:	p = "SIGUSR2"; break;
	case SIGCLD:	p = "SIGCLD"; break;
	case SIGPWR:	p = "SIGPWR"; break;
	case SIGWINCH:	p = "SIGWINCH"; break;
	case SIGPOLL:	p = "SIGPOLL"; break;
	case SIGSTOP:	p = "SIGSTOP"; break;
	case SIGTSTP:	p = "SIGTSTP"; break;
	case SIGCONT:	p = "SIGCONT"; break;
	case SIGTTIN:	p = "SIGTTIN"; break;
	case SIGTTOU:	p = "SIGTTOU"; break;
	case SIGVTALRM:	p = "SIGVTALRM"; break;
	case SIGPROF:	p = "SIGPROF"; break;
#ifdef SIGSTKFLT
	case SIGSTKFLT:	p = "SIGSTKFLT"; break;
#endif
#ifdef SIGURG
	case SIGURG:	p = "SIGURG"; break;
#endif
#ifdef SIGXCPU
	case SIGXCPU:	p = "SIGXCPU"; break;
#endif
#ifdef SIGXFSZ
	case SIGXFSZ:	p = "SIGXFSZ"; break;
#endif
	default:		p = "unexpected"; break;
	}
	return(p);
}
